> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List a team's regions

> Lists the regions the team specified in the path can place deployments in.



## OpenAPI

````yaml get /v1/teams/{team_id}/regions
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/teams/{team_id}/regions:
    parameters:
      - $ref: '#/components/parameters/team_id'
    get:
      summary: Lists regions available to a team
      description: >-
        Lists the regions the team specified in the path can place deployments
        in.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionsV1'
      x-codeSamples:
        - lang: bash
          source: |
            curl --request GET \
            --url https://api.baseten.co/v1/teams/{team_id}/regions \
            --header "Authorization: Bearer $BASETEN_API_KEY"
        - lang: python
          source: |-
            import requests
            import os
            API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
            url = "https://api.baseten.co/v1/teams/{team_id}/regions"

            headers = {"Authorization": f"Bearer {API_KEY}"}

            response = requests.request(
                "GET",
                url,
                headers=headers,
                json={}
            )

            print(response.text)
components:
  parameters:
    team_id:
      schema:
        type: string
      name: team_id
      in: path
      required: true
  schemas:
    RegionsV1:
      description: A list of regions.
      properties:
        regions:
          items:
            $ref: '#/components/schemas/RegionV1'
          title: Regions
          type: array
      required:
        - regions
      title: RegionsV1
      type: object
    RegionV1:
      description: A region that deployments can be placed in.
      properties:
        slug:
          description: >-
            Stable identifier for the region, used when selecting a deployment
            region.
          examples:
            - us
          title: Slug
          type: string
        display_name:
          description: Human-readable name of the region.
          examples:
            - United States
          title: Display Name
          type: string
      required:
        - slug
        - display_name
      title: RegionV1
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````